<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "idp_result_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "IdpResultLog".
 *
 * Columns in table "idp_result_log" available as properties of the model,
 * followed by relations of table "idp_result_log" available as properties of the model.
 *
 * @property integer $id
 * @property integer $idp_provision_operation_id
 * @property integer $idp_request_log_id
 * @property string $mapping_result
 * @property string $date_added
 * @property string $date_updated
 *
 * @property IdpProvisionOperation $idpProvisionOperation
 * @property IdpRequestLog $idpRequestLog
 */
abstract class BaseIdpResultLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'idp_result_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'IdpResultLog|IdpResultLogs', $n);
    }

    public static function representingColumn()
    {
        return 'mapping_result';
    }

    public function rules()
    {
        return array(
            array('idp_provision_operation_id, idp_request_log_id, mapping_result', 'required'),
            array('idp_provision_operation_id, idp_request_log_id', 'numerical', 'integerOnly'=>true),
            //array('mapping_result', 'length', 'max'=>6),
            array('date_added, date_updated', 'safe'),
            array('date_added, date_updated', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, idp_provision_operation_id, idp_request_log_id, mapping_result, date_added, date_updated', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'idpProvisionOperation' => array(self::BELONGS_TO, 'IdpProvisionOperation', 'idp_provision_operation_id'),
            'idpRequestLog' => array(self::BELONGS_TO, 'IdpRequestLog', 'idp_request_log_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'idp_provision_operation_id' => null,
            'idp_request_log_id' => null,
            'mapping_result' => Yii::t('app', 'Mapping Result'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'idpProvisionOperation' => null,
            'idpRequestLog' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('idp_provision_operation_id', $this->idp_provision_operation_id);
        $criteria->compare('idp_request_log_id', $this->idp_request_log_id);
        $criteria->compare('mapping_result', $this->mapping_result, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
